
-- the current obsidian glass slabs are invisible from one side
minetest.register_node("oldnodes:obsidian_pane", {
	drawtype = "nodebox",
	description = "Old Obsidian Glass Slab",
	tiles = {"default_obsidian_glass.png"},
	paramtype = "light",
	paramtype2 = "facedir",
	groups = {snappy=2,choppy=2,oddly_breakable_by_hand=2,not_in_creative_inventory=1},
	node_box = {
		type = "fixed",
		fixed = {
			{-0.5, -0.5, -0.5,  0.5, -0.5+1/16,  0.5},
		},
	},
	selection_box = {
		type = "fixed",
		fixed = {
			{-0.5, -0.5, -0.5,  0.5, -0.5+1/16,  0.5},
		},
	},
        sunlight_propagates = true,

})


-- moretrees switched to the default pine texture when pine wood was added to minetest_game;
-- that texture looks considerably diffrent from the one moretrees used to use
minetest.register_node("oldnodes:slab_pine_planks", {
	drawtype = "nodebox",
	description = "Old Moretrees Pine Plank Slab",
	tiles = {"moretrees_pine_wood.png"},
	paramtype = "light",
	paramtype2 = "facedir",
	groups = {snappy=2,choppy=2,oddly_breakable_by_hand=2,not_in_creative_inventory=1},
	node_box = {
		type = "fixed",
		fixed = {
			{-0.5, -0.5, -0.5,  0.5, 0.0,  0.5},
		},
	},
	selection_box = {
		type = "fixed",
		fixed = {
			{-0.5, -0.5, -0.5,  0.5, 0.0,  0.5},
		},
	},
        sunlight_propagates = true,
})

minetest.register_node("oldnodes:pine_wood", {
	description = "Old Moretrees Pine Planks",
	tiles = {"moretrees_pine_wood.png"},
	is_ground_content = false,
	groups = {choppy = 2, oddly_breakable_by_hand = 2, flammable = 3, wood = 1},
})


-- the closest texture to the lost one from the redbrick wall is desert stonebrick
minetest.register_node("oldnodes:castles_redbrick_wall", {
	description = "Old Redbrick Wall from Castles",
	tiles = {"oldnodes_castles_redbrick_wall.png"},
--	tiles = {"default_desert_stone_brick.png"},
	is_ground_content = false,
	groups = {cracky = 2, stone = 1},
})
